Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding.index
Class EMFIndexedValueProperty

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.core.databinding.property.value.SimpleValueProperty
              org.eclipse.emf.databinding.internal.EMFValueProperty
                  org.eclipse.emfforms.internal.core.services.databinding.index.EMFIndexedValueProperty

All Implemented Interfaces:
  org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.value.IValueProperty

    public class EMFIndexedValueProperty

extends org.eclipse.emf.databinding.internal.EMFValueProperty

This class provides a ValueProperty that supports addressing specific elements of a list by an index.

Author:
  Eugen Neufeld, Lucas Koehler

Constructor Summary
`EMFIndexedValueProperty(org.eclipse.emf.edit.domain.EditingDomain editingDomain, int index, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)` Constructor for an Index ValueProperty.

Method Summary
`String` | `toString()`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFValueProperty
`adaptListener, getValueType`

Methods inherited from class org.eclipse.core.databinding.property.value.SimpleValueProperty
`observe, observeDetail, observeDetail, observeDetail`

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`getValue, list, map, observe, observeDetail, set, setValue, value, valueFactory, valueFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFIndexedValueProperty

    public EMFIndexedValueProperty(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                   int index,
                                   org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Constructor for an Index ValueProperty.

  Parameters:
    `editingDomain` - The `EditingDomain`
    `index` - The index
    `eStructuralFeature` - the `EStructuralFeature` of the indexed feature

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.databinding.internal.EMFValueProperty`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.